astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Astropy Core Package Utilities (`astropy.utils`) »
- check_free_space_in_dir

# check_free_space_in_dir

`astropy.utils.data.``check_free_space_in_dir`(path, size)

  Determines if a given directory has enough space to hold a file of a given size. Raises an IOError if the file would be too large.

  Parameters:

  path : str

  > The path to a directory

  size : int

  > A proposed filesize (in bytes)

  Raises: | IOError : There is not enough room on the filesystem